Package org.zkoss.zk.ui.event

## Class StubEvent

- java.lang.Object
- - org.zkoss.zk.ui.event.Event
  - - org.zkoss.zk.ui.event.StubEvent

- All Implemented Interfaces:
    `java.io.Serializable`

      public class StubEvent
      extends Event

  The event sent from a stub component (`StubComponent`.

  The target component (`Event.getTarget()`) is the nearest non-stub parent. While the stub component causes the event to be sent can be found by use of `getId(org.zkoss.zk.ui.Component, java.lang.String)`, if it is assigned with an ID.

  Since:
    6.0.0
  Author:
    tomyeh
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StubEvent​(java.lang.String name, Component target, java.lang.String cmd, java.lang.String uuid, java.lang.String id, java.util.Map<java.lang.String,​java.lang.Object> data)` | Constructs a check-relevant event.
    `StubEvent​(StubEvent evt, Component target)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getCommand()` | Returns the command of the AU request, such as onChange.
    `java.lang.String` | `getId()` | Returns the ID of the stub component sending the request, or null if not available.
    `java.util.Map<java.lang.String,​java.lang.Object>` | `getRequestData()` | Returns the data carried in the request.
    `static StubEvent` | `getStubEvent​(AuRequest request)` | Converts an AU request to a stub event.
    `java.lang.String` | `getUuid()` | Returns the UUID of the stub component sending the request.

    - ### Methods inherited from class org.zkoss.zk.ui.event.Event

      `getData, getEvent, getName, getPage, getTarget, isPropagatable, stopPropagation, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StubEvent

          public StubEvent​(java.lang.String name,
                           Component target,
                           java.lang.String cmd,
                           java.lang.String uuid,
                           java.lang.String id,
                           java.util.Map<java.lang.String,​java.lang.Object> data)

      Constructs a check-relevant event.
      Parameters:
        `id` - the ID of the stub component causes this event.

    - #### StubEvent

          public StubEvent​(StubEvent evt,
                           Component target)

  - ### Method Detail

    - #### getStubEvent

          public static final StubEvent getStubEvent​(AuRequest request)

      Converts an AU request to a stub event.

    - #### getId

          public java.lang.String getId()

      Returns the ID of the stub component sending the request, or null if not available.

    - #### getCommand

          public java.lang.String getCommand()

      Returns the command of the AU request, such as onChange.

    - #### getUuid

          public java.lang.String getUuid()

      Returns the UUID of the stub component sending the request.

    - #### getRequestData

          public java.util.Map<java.lang.String,​java.lang.Object> getRequestData()

      Returns the data carried in the request. The content depends on the request (`AuRequest`).